import { ASTNodeTypes, TxtNode, TxtParentNode, TxtTextNode } from "./index";
/**
 * Return TxtNode type of ASTNodeTypes | string
 *
 * @example
 * ```
 * type NodeType = TxtNodeTypeOfNode<ASTNodeTypes.Document>;
 */
export declare type TypeofTxtNode<T extends ASTNodeTypes | string> = T extends ASTNodeTypes.Document ? TxtParentNode : T extends ASTNodeTypes.DocumentExit ? TxtParentNode : T extends ASTNodeTypes.Paragraph ? TxtParentNode : T extends ASTNodeTypes.ParagraphExit ? TxtParentNode : T extends ASTNodeTypes.BlockQuote ? TxtParentNode : T extends ASTNodeTypes.BlockQuoteExit ? TxtParentNode : T extends ASTNodeTypes.List ? TxtParentNode : T extends ASTNodeTypes.ListExit ? TxtParentNode : T extends ASTNodeTypes.ListItem ? TxtParentNode : T extends ASTNodeTypes.ListItemExit ? TxtParentNode : T extends ASTNodeTypes.Header ? TxtParentNode : T extends ASTNodeTypes.HeaderExit ? TxtParentNode : T extends ASTNodeTypes.CodeBlock ? TxtParentNode : T extends ASTNodeTypes.CodeBlockExit ? TxtParentNode : T extends ASTNodeTypes.HtmlBlock ? TxtParentNode : T extends ASTNodeTypes.HtmlBlockExit ? TxtParentNode : T extends ASTNodeTypes.Link ? TxtParentNode : T extends ASTNodeTypes.LinkExit ? TxtParentNode : T extends ASTNodeTypes.Delete ? TxtParentNode : T extends ASTNodeTypes.DeleteExit ? TxtParentNode : T extends ASTNodeTypes.Emphasis ? TxtParentNode : T extends ASTNodeTypes.EmphasisExit ? TxtParentNode : T extends ASTNodeTypes.Strong ? TxtParentNode : T extends ASTNodeTypes.StrongExit ? TxtParentNode : T extends ASTNodeTypes.Break ? TxtNode : T extends ASTNodeTypes.BreakExit ? TxtNode : T extends ASTNodeTypes.Image ? TxtNode : T extends ASTNodeTypes.ImageExit ? TxtNode : T extends ASTNodeTypes.HorizontalRule ? TxtNode : T extends ASTNodeTypes.HorizontalRuleExit ? TxtNode : T extends ASTNodeTypes.Comment ? TxtTextNode : T extends ASTNodeTypes.CommentExit ? TxtTextNode : T extends ASTNodeTypes.Str ? TxtTextNode : T extends ASTNodeTypes.StrExit ? TxtTextNode : T extends ASTNodeTypes.Code ? TxtTextNode : T extends ASTNodeTypes.CodeExit ? TxtTextNode : T extends ASTNodeTypes.Html ? TxtTextNode : T extends ASTNodeTypes.HtmlExit ? TxtTextNode : any;
